## passwdqc 1.1.4

=== debian/changelog ===
passwdqc (1.1.4-1) unstable; urgency=low

  * Source package name change to follow upstream.
  * New upstream release (closes: #310595).

 -- martin f. krafft <madduck@debian.org>  Thu, 28 Jan 2010 14:20:11 +1300

pam-passwdqc (1.0.5-1) unstable; urgency=low

  * New upstream release (closes: #354534).
  * Take over maintenance of this package (closes: #520815).
  * Switch to dpkgv3 source format.
  * Integrate with pam-auth-update (closes: #517967).
  * Switch to using DH7 for packaging (closes: #437734).
  * Add Vcs-* links to metadata.
  * Add Homepage link to metadata.
  * Bump Standards-Version to 3.8.3 without having to make changes.
  * Use TopGit+quilt for packaging.

 -- martin f. krafft <madduck@debian.org>  Thu, 28 Jan 2010 09:47:03 +1300

pam-passwdqc (0.7.5-1) unstable; urgency=low

  * New upstream release (closes: #286113)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  1 Jan 2005 21:55:00 +0100

pam-passwdqc (0.7-5) unstable; urgency=low

  * Link using gcc instead of ld (closes: #164319)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 17 Oct 2002 04:23:13 +0200

pam-passwdqc (0.7-4) unstable; urgency=low

  * Rename binary-dep to binary-arch.  Silly typo.  (closes: #164711)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Oct 2002 01:32:03 +0200

pam-passwdqc (0.7-3) unstable; urgency=low

  * Retry upload, this time with full source.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  2 Oct 2002 08:02:25 +0200

pam-passwdqc (0.7-2) unstable; urgency=low

  * Included full copyright in copyright file.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  1 Oct 2002 10:37:30 +0200

pam-passwdqc (0.7-1) unstable; urgency=low

  * Initial packaging for Debian (closes: #138631)
  
 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 24 Sep 2002 17:15:33 +0200
