## passwdqc 1.2.0

=== debian/changelog ===
passwdqc (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add snapshot of upstream's considerations of the default password strength
    policy to /usr/share/doc/libpam-passwdqc/password-strength.txt.
  * Bump Standards-Version to 3.8.4; no changes required.

 -- martin f. krafft <madduck@debian.org>  Tue, 16 Mar 2010 15:06:40 +0100
