=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: martin f. krafft <madduck@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7), libpam-dev
 Vcs-Git: git://git.debian.org/collab-maint/passwdqc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/passwdqc.git
