=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.·
#export DH_VERBOSE=1

-include /usr/share/topgit/tg2quilt.mk

%:
	dh --sourcedirectory=passwdqc $@
