## passwdqc 1.3.0

=== debian/changelog ===
passwdqc (1.3.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:38:36 +0000

passwdqc (1.3.0-1) unstable; urgency=low

  * Set myself as maintainer. closes: #719106
  * Update debian/watch.
  * New upstream release. 
  * Update to standards version 3.9.4. closes: #676290
  * Generate symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 10 Aug 2013 07:34:51 +1000
