=== debian/changelog ===
passwdqc (1.4.0-1) unstable; urgency=medium

  * Salvage package into Security Tools team. (Closes: #952662)
  * Remove trailing whitespace.
  * New upstream version 1.4.0.
    - Drop patches applied upstream.
    - With "non-unix", initialize the pw_dir field in fake_pw now that (since
      passwdqc 1.1.3 in 2009) passwdqc_check.c uses that field.
      Closes: #831356
    - Clarified in the man pages that /etc/passwdqc.conf is not read unless
      this suggested file location is specified with the config= option.
      Closes: #774990
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Mark libpasswdqc-dev Architecture: any.
    - Mark library packages Multi-Arch: same
    - Add Samuel Henrique and myself to uploaders.
    - Tighten libpasswdqc-dev's dependency on libpasswdqc0.
    - Add Vcs-* fields.
    - R³: no.
  * d/control, d/copyright, d/watch: Use https where possible.
  * d/copyright: Correct a couple license names.
  * d/lib*.install: Update for multiarch locations.
  * d/libpam-passwdqc.dirs, d/README.source: Drop.
  * d/rules:
    - Remove DH_OPTIONS export.
    - Trim DEB_LDFLAGS_MAINT_APPEND to '-Wl,--as-needed'
    - Include /usr/share/dpkg/default.mk
    - Pack CFLAGS, CPPFLAGS and LDFLAGS into dh_auto_build. (Closes: #724278)
    - Pack install directories into dh_auto_install.
  * Include password-strength.txt in debian/ rather than patching it in.
  * Update Standards-Version to 4.5.0.

  [ Samuel Henrique ]
  * Add gbp.conf

 -- Unit 193 <unit193@ubuntu.com>  Sun, 29 Mar 2020 18:19:10 -0400
