=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-Wall -W $(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LDFLAGS_shared_LINUX="--shared $(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- SHARED_LIBDIR="$(LIBDIR)" SHARED_LIBDIR_REL="." DEVEL_LIBDIR="$(LIBDIR)" SECUREDIR="/lib/$(DEB_HOST_MULTIARCH)/security"
