## passwdqc 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000-2003,2005,2009,2010 by Solar Designer
+# Copyright (c) 2000-2003,2005,2009,2010,2020 by Solar Designer
 # Copyright (c) 2008,2009,2017 by Dmitry V. Levin
 # Copyright (c) 2017 by Oleg Solovyov
 # See LICENSE
@@ -7,7 +7,7 @@
 
 PACKAGE = passwdqc
 TITLE = pam_passwdqc
-SHARED_LIB = libpasswdqc.so.0
+SHARED_LIB = libpasswdqc.so.1
 DEVEL_LIB = libpasswdqc.so
 SHARED_LIB_DARWIN = libpasswdqc.0.dylib
 DEVEL_LIB_DARWIN = libpasswdqc.dylib
@@ -18,7 +18,14 @@
 SHLIBMODE = 755
 HEADER = passwdqc.h
 INCMODE = 644
-MAN1 = pwqgen.1 pwqcheck.1
+MAN1 = pwqgen.1 pwqcheck.1 pwqfilter.1
+MAN3 = libpasswdqc.3 \
+       passwdqc_params_reset.3 \
+       passwdqc_params_load.3 \
+       passwdqc_params_parse.3 \
+       passwdqc_params_free.3 \
+       passwdqc_check.3 \
+       passwdqc_random.3
 MAN5 = passwdqc.conf.5
 MAN8 = $(TITLE).8
 MANMODE = 644
@@ -53,17 +60,19 @@
 CFLAGS = -Wall -W -O2
 CFLAGS_lib = $(CFLAGS) -fPIC
 CFLAGS_bin = $(CFLAGS) -fomit-frame-pointer
-CPPFLAGS = -DPACKAGE=\\\"$(PACKAGE)\\\"
+CPPFLAGS =
+CPPFLAGS_bin = $(CPPFLAGS)
+CPPFLAGS_lib = $(CPPFLAGS) -DPACKAGE=\\\"$(PACKAGE)\\\"
 MSGFMT = msgfmt
 XGETTEXT = xgettext
 XGETTEXT_OPTS = --keyword=_ --keyword=P2_:1,1 --keyword=P3_:1,2 --language=C --add-comments
 MSGMERGE = msgmerge
 
 LDFLAGS =
-LDFLAGS_shared = --shared
-LDFLAGS_shared_LINUX = --shared
-LDFLAGS_shared_SUN = -G
-LDFLAGS_shared_HP = -b
+LDFLAGS_shared = $(LDFLAGS) --shared
+LDFLAGS_shared_LINUX = $(LDFLAGS) --shared
+LDFLAGS_shared_SUN = $(LDFLAGS) -G
+LDFLAGS_shared_HP = $(LDFLAGS) -b
 LDFLAGS_lib = $(LDFLAGS_shared)
 LDFLAGS_lib_LINUX = $(LDFLAGS_shared_LINUX) \
 	-Wl,--soname,$(SHARED_LIB),--version-script,$(MAP_LIB)
@@ -94,23 +103,24 @@
 #CFLAGS_bin = $(CFLAGS)
 
 CONFIGS = passwdqc.conf
-BINS = pwqgen pwqcheck
+BINS = pwqgen pwqcheck pwqfilter
 PROJ = $(SHARED_LIB) $(DEVEL_LIB) $(SHARED_PAM) $(BINS)
-OBJS_LIB = concat.o passwdqc_check.o passwdqc_load.o passwdqc_memzero.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
+OBJS_LIB = concat.o md4.o passwdqc_check.o passwdqc_filter.o passwdqc_load.o passwdqc_memzero.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
 OBJS_PAM = pam_passwdqc.o passwdqc_memzero.o
 OBJS_GEN = pwqgen.o passwdqc_memzero.o
 OBJS_CHECK = pwqcheck.o passwdqc_memzero.o
+OBJS_FILTER = pwqfilter.o md4.o
 
 default: all
 
 all locales pam utils install install_lib install_locales install_pam install_utils uninstall remove remove_lib remove_locales remove_pam remove_utils:
 	case "`uname -s`" in \
-	Linux)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	Linux)	$(MAKE) CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LDFLAGS_lib="$(LDFLAGS_lib_LINUX)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_LINUX)" \
 			LDLIBS_pam="$(LDLIBS_pam_LINUX)" \
 			$@_wrapped;; \
-	SunOS)	$(MAKE) -e CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	SunOS)	$(MAKE) -e CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LD_lib=ld \
 			LDFLAGS_lib="$(LDFLAGS_lib_SUN)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_SUN)" \
@@ -119,7 +129,7 @@
 			SHARED_LIBDIR="$(SHARED_LIBDIR_SUN)" \
 			SECUREDIR="$(SECUREDIR_SUN)" \
 			$@_wrapped;; \
-	HP-UX)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	HP-UX)	$(MAKE) CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LD_lib=ld \
 			LDFLAGS_lib="$(LDFLAGS_lib_HP)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_HP)" \
@@ -155,18 +165,25 @@
 pwqcheck: $(OBJS_CHECK) $(DEVEL_LIB)
 	$(LD) $(LDFLAGS) $(OBJS_CHECK) -L. -lpasswdqc -o $@
 
+pwqfilter: $(OBJS_FILTER)
+	$(LD) $(LDFLAGS) $(OBJS_FILTER) -o $@
+
 pwqgen.o: pwqgen.c passwdqc.h
-	$(CC) $(CFLAGS_bin) -c $*.c
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
 
 pwqcheck.o: pwqcheck.c passwdqc.h
-	$(CC) $(CFLAGS_bin) -c $*.c
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
+
+pwqfilter.o: pwqfilter.c passwdqc_filter.h passwdqc.h
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
 
 .c.o:
-	$(CC) $(CFLAGS_lib) -c $*.c
+	$(CC) $(CPPFLAGS_lib) $(CFLAGS_lib) -c $*.c
 
 concat.o: concat.h
 pam_passwdqc.o: passwdqc.h pam_macros.h
-passwdqc_check.o: passwdqc.h wordset_4k.h
+passwdqc_check.o: passwdqc.h passwdqc_filter.h wordset_4k.h
+passwdqc_filter.o: passwdqc.h passwdqc_filter.h
 passwdqc_load.o: passwdqc.h concat.h
 passwdqc_parse.o: passwdqc.h concat.h
 passwdqc_random.o: passwdqc.h wordset_4k.h
@@ -189,6 +206,9 @@
 	$(MKDIR) $(DESTDIR)$(INCLUDEDIR)
 	$(INSTALL) -m $(INCMODE) $(HEADER) $(DESTDIR)$(INCLUDEDIR)/
 
+	$(MKDIR) $(DESTDIR)$(MANDIR)/man3
+	$(INSTALL) -m $(MANMODE) $(MAN3) $(DESTDIR)$(MANDIR)/man3/
+
 	$(MKDIR) $(DESTDIR)$(MANDIR)/man5
 	$(INSTALL) -m $(MANMODE) $(MAN5) $(DESTDIR)$(MANDIR)/man5/
 
@@ -214,17 +234,13 @@
 $(POTFILE): $(POTFILE_DEPS)
 	$(XGETTEXT) $(XGETTEXT_OPTS) -o $@-t $^ && mv $@-t $@
 
-$(POFILES): $(POTFILE)
-	$(MSGMERGE) -U $@ $<
-
 .SUFFIXES: .po .mo
 
 .po.mo:
 	$(MSGFMT) -c -o $@-t $< && mv $@-t $@
 
-update_pot: $(POTFILE)
-
-update_po: $(POFILES)
+update_po: $(POTFILE) $(POFILES)
+	for f in $(POFILES); do $(MSGMERGE) -U $$f $< || exit; done
 
 update_mo: $(MOFILES)
 
@@ -249,6 +265,7 @@
 
 remove_lib_wrapped:
 	for f in $(MAN5); do $(RM) $(DESTDIR)$(MANDIR)/man5/$$f; done
+	for f in $(MAN3); do $(RM) $(DESTDIR)$(MANDIR)/man3/$$f; done
 	for f in $(HEADER); do $(RM) $(DESTDIR)$(INCLUDEDIR)/$$f; done
 	for f in $(DEVEL_LIB); do $(RM) $(DESTDIR)$(DEVEL_LIBDIR)/$$f; done
 	for f in $(SHARED_LIB); do $(RM) $(DESTDIR)$(SHARED_LIBDIR)/$$f; done
@@ -258,12 +275,12 @@
 	for f in $(LANGUAGES); do $(RM) $(DESTDIR)$(LOCALEDIR)/$$f/LC_MESSAGES/$(PACKAGE).mo; done
 
 clean:
-	$(RM) $(PROJ) $(MOFILES) *.o
+	$(RM) $(PROJ) $(POTFILE) $(MOFILES) *.o
 
 .PHONY: all all_wrapped clean install install_lib install_locales install_pam install_utils \
 	pam pam_wrapped uninstall remove remove_lib remove_pam remove_utils \
 	utils utils_wrapped \
-	update_mo update_po update_pot \
+	update_mo update_po \
 	locales locales_wrapped \
 	install_wrapped install_lib_wrapped install_locales_wrapped install_pam_wrapped \
 	install_utils_wrapped \
