=== debian/changelog ===
passwdqc (2.0.2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add Salsa's CI configuration file

  [ Unit 193 ]
  * d/u/signing-key.asc, d/watch: Add and check upstream's signing key.
  * New upstream version 2.0.2.
  * d/control, d/libpasswdqc0.*: Follow soname change.
  * d/control:
    - Bump DH compat to 13.
    - Update my email address.
  * d/copyright: Update years and add myself.
  * d/libpasswdqc1.symbols: Add new symbol and Build-Depends-Package field.
  * d/libpasswdqc-dev.install: Install manpages from section 3.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Wed, 11 Aug 2021 19:47:59 -0400
