=== debian/control ===
Source: passwdqc
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>,
           Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13), libpam-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.openwall.com/passwdqc/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/passwdqc
Vcs-Git: https://salsa.debian.org/pkg-security-team/passwdqc.git

Package: passwdqc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement toolset
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 This package provides pwqcheck and pwqgen, which are standalone
 password/passphrase strength checking and random passphrase generator
 programs, respectively, which are usable from scripts.

Package: libpasswdqc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement library
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 This package provides the underlying library which exports all the
 functionality.

Package: libpasswdqc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpasswdqc1 (= ${binary:Version})
Description: password checking and policy enforcement library (devel)
 (C development files) passwdqc is a password/passphrase strength
 checking and policy enforcement toolset, including a PAM module
 (libpam-passwdqc), command-line programs (pwqcheck and pwqgen), and a
 library (libpasswdqc).
 .
 This package provides the development libraries and header files
 required to build tools using the libpasswdqc library.

Package: libpam-passwdqc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Recommends: passwdqc
Description: PAM module for password strength policy enforcement
 passwdqc is a password/passphrase strength checking and policy
 enforcement toolset, including a PAM module (libpam-passwdqc),
 command-line programs (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 pam_passwdqc (optionally) integrates with PAM such that it gets invoked
 when users change their passwords. The module is capable of checking
 password or passphrase strength, enforcing a policy, and offering
 randomly-generated passphrases, with all of these features being
 optional and easily (re-)configurable.
