## passwdqc 2.0.3

=== debian/changelog ===
passwdqc (2.0.3-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Add B-D on libcrypt-dev.  Closes: #1107062.
  * Bump debian/* copyright years.
  * Use watch v5.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2025 19:00:38 +0100

passwdqc (2.0.3-2) unstable; urgency=medium

  * d/rules, d/libpam-passwdqc.install:
    - Install pam module in /usr/lib instead of /lib. (Closes: #1061715)
  * d/copyright: Bump years.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Mar 2024 18:57:30 -0400

passwdqc (2.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Unit 193 ]
  * New upstream version 2.0.3.
    - Changed enforce=users to support "chpasswd" PAM service in addition to
      traditionally supported "passwd". (Closes: #1038719)
  * d/copyright: Update years.
  * d/libpasswdqc-dev.install: Install new pkg-config file.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Tue, 27 Jun 2023 00:45:41 -0400
