=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Unit 193 <unit193@debian.org>
-Build-Depends: debhelper-compat (= 13), libpam-dev
-Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libcrypt-dev, libpam-dev
+Standards-Version: 4.7.2
 Homepage: https://www.openwall.com/passwdqc/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/passwdqc
 Vcs-Git: https://salsa.debian.org/pkg-security-team/passwdqc.git
