=== debian/watch ===
Version: 5
Source: https://www.openwall.com/passwdqc/
Matching-Pattern: (?:.*/)?passwdqc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Pgpsigurlmangle: s/$/.sign/
Uversionmangle: auto
